Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.utils
Class TableCollection

    java.lang.Object
      org.eclipse.swtbot.swt.finder.utils.TableCollection

    public class TableCollection

extends Object

Represents a table.

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Constructor Summary
`TableCollection()` Creates an empty table.
`TableCollection(int rowCount)` Creates a table with the specified number of rows.
`TableCollection(TableRow tableRow)`
`TableCollection(TableRow[] tableRows)` Cosntructs the table collection with the given table rows as an array.

Method Summary
`TableCollection` | `add(TableRow tableRow)` Adds a new row to the table collection.
`int` | `columnCount()` Gets the column count.
`boolean` | `equals(Object obj)`
`TableRow` | `get(int row)` Gets the row at the given index.
`String` | `get(int row, int column)` Gets the string data for the given row/column index.
`int` | `hashCode()`
`int` | `rowCount()` Gets the row count.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableCollection

    public TableCollection(TableRow tableRow)

Parameters:
  `tableRow` - the rows in the table.

### TableCollection

    public TableCollection(TableRow[] tableRows)

  Cosntructs the table collection with the given table rows as an array.

  Parameters:
    `tableRows` - the rows in the table.

### TableCollection

    public TableCollection()

  Creates an empty table.

### TableCollection

    public TableCollection(int rowCount)

  Creates a table with the specified number of rows.

  Parameters:
    `rowCount` - the number of rows.

Method Detail

### add

    public TableCollection add(TableRow tableRow)

  Adds a new row to the table collection.

  Parameters:
    `tableRow` - the row to be added at the end of the table.
  Returns:
    a reference to this object.

### rowCount

    public int rowCount()

  Gets the row count.

  Returns:
    the number of rows in the selection.

### get

    public String get(int row,
                      int column)

  Gets the string data for the given row/column index.

  Parameters:
    `row` - the index of the row.
    `column` - the column in the row.
  Returns:
    the string at the specified cell in the collection.

### get

    public TableRow get(int row)

  Gets the row at the given index.

  Parameters:
    `row` - the row index.
  Returns:
    the row at the index.

### columnCount

    public int columnCount()

  Gets the column count.

  Returns:
    the number of columns

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD